/*
  Simple DirectMedia Layer
  Copyright (C) 1997-2023 Sam Lantinga <slouken@libsdl.org>

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
*/

#ifndef SDL_n3dsaudio_h
#define SDL_n3dsaudio_h

#include <3ds.h>

#define NUM_BUFFERS 2 /* -- Don't lower this! */

struct SDL_PrivateAudioData
{
    /* Speaker data */
    Uint8 *mixbuf;
    Uint32 nextbuf;
    ndspWaveBuf waveBuf[NUM_BUFFERS];
    LightLock lock;
    CondVar cv;
    SDL_bool isCancelled;
};

#endif /* SDL_n3dsaudio_h */
